package org.restlet.example.firstapplication.server;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;

import org.restlet.resource.Get;
import org.restlet.resource.ServerResource;

import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParser;

public class SearchFirstResource extends ServerResource{

    @Get
    public String reply() {
		try {
			String queryNum = getQueryValue("number");
			String queryWord = getQueryValue("word");
			int number = Integer.parseInt(queryNum);
			if(number < 1){
				return "<message>Query Item Number is Negative.</message>";				
			}
		    URL url = new URL("https://www.googleapis.com/customsearch/v1?"
        		+ "q=" + queryWord + "&key=[Your API Key]&"
        		+ "cx=005163227346341629301:-nn65udug9y");
		    BufferedReader reader = new BufferedReader(new InputStreamReader(url.openStream()));
		    String content = "";

		    for (String line = reader.readLine(); line != null; line = reader.readLine()) {
		    	content = content + line;
		    }
		    reader.close();
		    
		    JsonElement jelement = new JsonParser().parse(content);
		    JsonObject  jobject = jelement.getAsJsonObject();
		    JsonArray jarray = jobject.getAsJsonArray("items");
		    jobject = jarray.get(number - 1).getAsJsonObject();
		    String result = jobject.get("title").toString();
		    System.out.println(result);
			return "<result>Query Result is \n" + result + " </result>";
		}catch(NumberFormatException e){
			return "<message>Query Number Format Error</message>";			
		}catch (IOException e) {
			return "<message>Fetching Searching Results Error</message>";
		}
    }

}
